(function() {
	'use strict';

	angular.module('uniflash').service('ufValueSessionSrv', ufValueSessionSrv);

	ufValueSessionSrv.$inject = ['ufSession','ufPropertiesValue'];

	function ufValueSessionSrv(ufSession,ufPropertiesValue) {
		ufSession.registerSessionDataProvider('propertyValues', {
			onSessionLoad: function(newData) {
				if (newData) {
					ufPropertiesValue.setPropertiesValueList(newData);
				}
			},
			getSessionData: function() {
				return ufPropertiesValue.getPropertiesValueList();
			}
		});
		
		return {
		};
	}

})();
